Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class FacesServlet

    java.lang.Object
      php.java.faces.FacesServlet

All Implemented Interfaces:
  javax.servlet.Servlet

    public final class FacesServlet

extends java.lang.Object
implements javax.servlet.Servlet

Constructor Summary
`FacesServlet()`

Method Summary
`void` | `destroy()` Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.
`javax.servlet.ServletConfig` | `getServletConfig()` Returns a `ServletConfig` object, which contains initialization and startup parameters for this servlet.
`java.lang.String` | `getServletInfo()` Returns information about the servlet, such as author, version, and copyright.
`void` | `init(javax.servlet.ServletConfig servletConfig)` Called by the servlet container to indicate to a servlet that the servlet is being placed into service.
`void` | `service(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Called by the servlet container to allow the servlet to respond to a request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesServlet

    public FacesServlet()

Method Detail

### destroy

    public void destroy()

  Description copied from interface: `javax.servlet.Servlet`
  Called by the servlet container to indicate to a servlet that the servlet is being taken out of service. This method is only called once all threads within the servlet's `service` method have exited or after a timeout period has passed. After the servlet container calls this method, it will not call the `service` method again on this servlet.

  This method gives the servlet an opportunity to clean up any resources that are being held (for example, memory, file handles, threads) and make sure that any persistent state is synchronized with the servlet's current state in memory.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Description copied from interface: `javax.servlet.Servlet`
  Returns a `ServletConfig` object, which contains initialization and startup parameters for this servlet. The `ServletConfig` object returned is the one passed to the `init` method.

  Implementations of this interface are responsible for storing the `ServletConfig` object so that this method can return it. The `GenericServlet` class, which implements this interface, already does this.

  Specified by:
    `getServletConfig` in interface `javax.servlet.Servlet`
  Returns:
    the `ServletConfig` object that initializes this servlet
  See Also:
    `Servlet.init(javax.servlet.ServletConfig)`

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from interface: `javax.servlet.Servlet`
  Returns information about the servlet, such as author, version, and copyright.

  The string that this method returns should be plain text and not markup of any kind (such as HTML, XML, etc.).

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Returns:
    a `String` containing servlet information

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Description copied from interface: `javax.servlet.Servlet`
  Called by the servlet container to indicate to a servlet that the servlet is being placed into service.

  The servlet container calls the `init` method exactly once after instantiating the servlet. The `init` method must complete successfully before the servlet can receive any requests.

  The servlet container cannot place the servlet into service if the `init` method

  1. Throws a `ServletException`
  2. Does not return within a time period defined by the Web server

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Parameters:
    `servletConfig` - a `ServletConfig` object containing the servlet's configuration and initialization parameters
  Throws:
    `javax.servlet.ServletException` - if an exception has occurred that interferes with the servlet's normal operation
  See Also:
    `UnavailableException`, `Servlet.getServletConfig()`

### service

    public void service(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Description copied from interface: `javax.servlet.Servlet`
  Called by the servlet container to allow the servlet to respond to a request.

  This method is only called after the servlet's `init()` method has completed successfully.

  The status code of the response always should be set for a servlet that throws or sends an error.

  Servlets typically run inside multithreaded servlet containers that can handle multiple requests concurrently. Developers must be aware to synchronize access to any shared resources such as files, network connections, and as well as the servlet's class and instance variables. More information on multithreaded programming in Java is available in the Java tutorial on multi-threaded programming.

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Parameters:
    `request` - the `ServletRequest` object that contains the client's request
    `response` - the `ServletResponse` object that contains the servlet's response
  Throws:
    `java.io.IOException` - if an input or output exception occurs
    `javax.servlet.ServletException` - if an exception occurs that interferes with the servlet's normal operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD